export default {
    data() {
        return {
            pagination: {
                current: 1,
                pageSize: 10,
                total: 0,
                showQuickJumper: true,
                showSizeChanger: true,
                showTotal() {
                    return `共 ${this.total} 条数据`
                }
            },
        }
    },
    methods: {
        query() {
            console.log('mixins-query')
            this.$set(this.pagination, 'current', 1);
            this.$set(this.pagination, 'pageSize', 10);
            this.getList()
        },
        reset() {
            console.log('mixins-reset')
            this.$set(this.pagination, 'current', 1);
            this.$set(this.pagination, 'pageSize', 10);
            this.$refs.form.reset();
            this.getList()
        },
        paginationChange(pagination) {
            console.log('mixins-pagination')
            this.pagination.current = pagination.current;
            this.pagination.pageSize = pagination.pageSize;
            this.getList()
        }
    }

}
